<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\StickerStructureDetail;
use App\Models\User;

class StickerStructureDetailPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any StickerStructureDetail');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('view StickerStructureDetail');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create StickerStructureDetail');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('update StickerStructureDetail');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('delete StickerStructureDetail');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any StickerStructureDetail');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('restore StickerStructureDetail');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any StickerStructureDetail');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('replicate StickerStructureDetail');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder StickerStructureDetail');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StickerStructureDetail $stickerstructuredetail): bool
    {
        return $user->checkPermissionTo('force-delete StickerStructureDetail');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any StickerStructureDetail');
    }
}
